Skip to main content
POST
/
api
/
consumer
/
{version}
/
coupon_redemption
Record order with a coupon
curl --request POST \
  --url https://mention-me.com/api/consumer/{version}/coupon_redemption \
  --header 'Content-Type: application/json' \
  --data '
{
  "order": {
    "orderIdentifier": "123456",
    "total": "100",
    "currencyCode": "GBP",
    "dateString": "2026-01-01T12:00:00+00:00",
    "couponCode": "ABC23252",
    "discountAmount": "12.44",
    "orderItemCount": "3",
    "isSubscription": "",
    "isGift": ""
  },
  "request": {
    "partnerCode": "[YOUR-PARTNER-CODE]",
    "situation": "mobile-app",
    "localeCode": "en_GB",
    "segment": "vip",
    "ipAddress": "127.0.0.1",
    "userDeviceIdentifier": "",
    "deviceType": "",
    "appName": "",
    "appVersion": "e.g. MyApp/v1.73"
  },
  "address": {
    "addressLine1": "",
    "addressLine2": "",
    "addressCity": "",
    "addressCounty": "",
    "addressPostCode": "",
    "addressCountry": ""
  }
}
'
import requests

url = "https://mention-me.com/api/consumer/{version}/coupon_redemption"

payload = {
"order": {
"orderIdentifier": "123456",
"total": "100",
"currencyCode": "GBP",
"dateString": "2026-01-01T12:00:00+00:00",
"couponCode": "ABC23252",
"discountAmount": "12.44",
"orderItemCount": "3",
"isSubscription": "",
"isGift": ""
},
"request": {
"partnerCode": "[YOUR-PARTNER-CODE]",
"situation": "mobile-app",
"localeCode": "en_GB",
"segment": "vip",
"ipAddress": "127.0.0.1",
"userDeviceIdentifier": "",
"deviceType": "",
"appName": "",
"appVersion": "e.g. MyApp/v1.73"
},
"address": {
"addressLine1": "",
"addressLine2": "",
"addressCity": "",
"addressCounty": "",
"addressPostCode": "",
"addressCountry": ""
}
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
order: {
orderIdentifier: '123456',
total: '100',
currencyCode: 'GBP',
dateString: '2026-01-01T12:00:00+00:00',
couponCode: 'ABC23252',
discountAmount: '12.44',
orderItemCount: '3',
isSubscription: '',
isGift: ''
},
request: {
partnerCode: '[YOUR-PARTNER-CODE]',
situation: 'mobile-app',
localeCode: 'en_GB',
segment: 'vip',
ipAddress: '127.0.0.1',
userDeviceIdentifier: '',
deviceType: '',
appName: '',
appVersion: 'e.g. MyApp/v1.73'
},
address: {
addressLine1: '',
addressLine2: '',
addressCity: '',
addressCounty: '',
addressPostCode: '',
addressCountry: ''
}
})
};

fetch('https://mention-me.com/api/consumer/{version}/coupon_redemption', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Path Parameters

version
enum<string>
required

Version

Available options:
v2,
v1
Pattern: v2|v1

Body

application/json

About the order

order
Order · object
required

Information about the order which took place

request
Request · object
required

Information about the request

customer
Customer · object

Information about the customer who placed the order (if present)

address
Address · object

Information about the address of the customer who placed the order

Response

Returned when successful

Last modified on July 10, 2026